Subject: Ticket Assigned - Order #9652859247
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 10:26:11 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order #9652859247 Hi,

I have not seen such worse customer service. I have made at least 10 calls
since the items were delivered on 22nd April 2021. The status has
not changed it is still showing processing and I am not able to put a
return request. Moreover, there was a missing item, which is resolved after
making few calls.

I need to return both the t-shirts as I did not like the material and
fitting. Screen shots attached below as told by your customer service team.*
I NEED YOU TO RESOLVE THIS IMMEDIATELY.*

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2554412